using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections.Specialized;
using System.IO;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Rendering.IO;
using GrapeCity.ActiveReports.Document;
using GrapeCity.ActiveReports.Export.Html.Page;
using GrapeCity.ActiveReports.Export.Image.Page;
using GrapeCity.ActiveReports.Export.Pdf.Page;
using GrapeCity.ActiveReports.Export.Rdf;
using GrapeCity.ActiveReports.Export.Word.Page;
using GrapeCity.ActiveReports.Export.Excel.Page;
using GrapeCity.ActiveReports.Export.Xaml.DDR;
using GrapeCity.ActiveReports.Export.Xml.Page;
namespace GrapeCity.ActiveReports.Samples.EndUserDesigner
{
    public partial class SectionReportExportProperties : Form
    {
        object _export = null;
        string _filter = "";
        private SectionDocument document;
        /// <summary>
        ///Accepts the SectionDocument to be exported in the constructor
        /// </summary>
      public SectionReportExportProperties(SectionDocument Document)
        {
            InitializeComponent();
            document = new SectionDocument();
            document = Document;
        }
        private void browsebutton_Click(object sender, EventArgs e)
        {
            /// <summary>
            ///Sets the Exported Report File
            /// </summary>   
            using (SaveFileDialog _save = new SaveFileDialog())
            {
                _save.Filter = _filter;
                _save.InitialDirectory = Path.GetDirectoryName(Application.StartupPath);
                _save.RestoreDirectory = true;
                if (_save.ShowDialog() == DialogResult.OK)
                {
                    this.exportbutton.Enabled = true;
                    this.resetbutton.Enabled = true;
                    this.exportfiletextBox.Text = _save.FileName;
                    this.exporttypecomboBox.Enabled = false;
                    this.browsebutton.Enabled = false;
                }
            }
        }
        private void exportbutton_Click(object sender, EventArgs e)
        {
            /// <summary>
            ///Sets the properties of the rendering extension to which the report is to be rendered from the propertygrid
            /// </summary>   
            switch (this.exporttypecomboBox.SelectedItem.ToString())
            {
                case "Excel":
                    {
                        ((GrapeCity.ActiveReports.Export.Excel.Section.XlsExport)_export).Export(document,this.exportfiletextBox.Text);
                        break;
                    }
                case "Html":
                    {
                        ((GrapeCity.ActiveReports.Export.Html.Section.HtmlExport)_export).Export(document, this.exportfiletextBox.Text);
                        break;
                    }
                case "Pdf":
                    {
                        ((GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport)_export).Export(document, this.exportfiletextBox.Text);
                        break;
                    }
               case "Rtf":
                    {
                        ((GrapeCity.ActiveReports.Export.Word.Section.RtfExport)_export).Export(document, this.exportfiletextBox.Text);
                        break;
                    }
                case "Text":
                    {
                        ((GrapeCity.ActiveReports.Export.Xml.Section.TextExport)_export).Export(document, this.exportfiletextBox.Text);
                        break;
                    }
                case "Tiff":
                    {
                        ((GrapeCity.ActiveReports.Export.Image.Tiff.Section.TiffExport)_export).Export(document, this.exportfiletextBox.Text);
                        break;
                    }
            }
            this.Close();
        }
        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (this.exporttypecomboBox.SelectedItem.ToString())
            {
                 case "Excel":
                    {
                        _export = new GrapeCity.ActiveReports.Export.Excel.Section.XlsExport();
                        this.exportpropertyGrid.SelectedObject = _export;
                         _filter = "excel files (*.xls)|*.xls|All files (*.*)|*.*";
                        break;
                    }
                case "Html":
                    {
                        _export = new GrapeCity.ActiveReports.Export.Html.Section.HtmlExport();
                        _filter = "html files (*.htm)|*.html|All files (*.*)|*.*";
                        break;
                    }
                case "Pdf":
                    {
                        _export = new GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport();
                         _filter = "pdf files (*.pdf)|*.pdf|All files (*.*)|*.*";
                        break;
                    }
                case "Rtf":
                    {
                        _export = new GrapeCity.ActiveReports.Export.Word.Section.RtfExport();
                         _filter = "rtf files (*.rtf)|*.rtf|All files (*.*)|*.*";
                        break;
                    }
                case "Text":
                    {
                        _export = new GrapeCity.ActiveReports.Export.Xml.Section.TextExport();
                        _filter = "txt files (*.txt)|*.txt|All files (*.*)|*.*";
                        break;
                    }
                case "Tiff":
                    {
                        _export = new GrapeCity.ActiveReports.Export.Image.Tiff.Section.TiffExport();
                        _filter = "tiff files (*.tiff)|*.tiff|All files (*.*)|*.*";
                        break;
                    }
            }
            this.exportpropertyGrid.SelectedObject = _export;
        }
        private void resetbutton_Click(object sender, EventArgs e)
        {
            this.exportbutton.Enabled = false;
            this.exporttypecomboBox.Enabled = true;
            this.exportfiletextBox.Text = "";
        }
        private void SectionReportExportProperties_Load(object sender, EventArgs e)
        {
        }
    }
}
